Subject: [art] Fwd: New Version Notification for draft-touch-time-06.txt

From: Joe Touch <[email-masked]>
Date: Tue, 19 Nov 2019 18:16:55 -0800

Hi, all,

This version addresses all suggestions provided to date.

Joe

-------- Forwarded Message --------
Subject: 	New Version Notification for draft-touch-time-06.txt
Date: 	Tue, 19 Nov 2019 18:10:49 -0800
From: 	[email-masked]
To: 	Joseph Touch <[email-masked]>, Joe Touch <[email-masked]>

A new version of I-D, draft-touch-time-06.txt
has been successfully submitted by Joe Touch and posted to the
IETF repository.

Name: draft-touch-time
Revision: 06
Title: Resolving Multiple Time Scales in the Internet
Document date: 2019-11-19
Group: Individual Submission
Pages: 21
URL: https://www.ietf.org/internet-drafts/draft-touch-time-06.txt
Status: https://datatracker.ietf.org/doc/draft-touch-time/
Htmlized: https://tools.ietf.org/html/draft-touch-time-06
Htmlized: https://datatracker.ietf.org/doc/html/draft-touch-time
Diff: https://www.ietf.org/rfcdiff?url2=draft-touch-time-06

Abstract:
Internet systems use a variety of time scales, which can complicate
time comparisons and calculations. This document explains these
various ways of indicating time and explains how they can be used
together safely. This document is intended as a companion to
Internet time as discussed in RFC 3339.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Steve Allen <[email-masked]>
Date: Wed, 20 Nov 2019 15:53:03 -0800

> Diff: https://www.ietf.org/rfcdiff?url2=draft-touch-time-06

For a further reference on the multiple kinds of seconds see
the proceedings of the 56th meeting of the CIPM in 1967
https://www.bipm.org/utils/common/pdf/CIPM-PV-OCR/CIPM1967.pdf

Annex 1 on page 139 is a letter from the CIPM to the IAU making it
clear that the ephemeris second still exists, just not as the SI unit
of time.  By extension, but not so clearly documented in the
proceedings of a decade earlier, the mean solar second also still
exists.  This reference gives the basis for the ongoing existence of
three kinds of second in various time systems.

Intentionally not clear in any official document is that members of
various international committees had agreed that the cesium-based SI
second was unrelated to the duration of the calendar day, and that
without a decision from an international body they could not redefine
the calendar day to be something other than one rotation of the earth.

--
Steve Allen                    <[email-masked]>              WGS-84 (GPS)
UCO/Lick Observatory--ISB 260  Natural Sciences II, Room 165  Lat  +36.99855
1156 High Street               Voice: +1 831 459 3046         Lng -122.06015
Santa Cruz, CA 95064           https://www.ucolick.org/~sla/  Hgt +250 m

---

From: Joe Touch <[email-masked]>
Date: Wed, 20 Nov 2019 18:04:06 -0800

Hi, Steve,

I appreciate the more detailed information. For this doc, do you think 
this reference should be added as additional info? Does it affect 
anything else?

I.e., any particular suggested on what aspect of this needs incorporation?

Thanks,
Joe

On 11/20/2019 3:53 PM, Steve Allen wrote:
> _______________________________________________
> art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/art

---

From: Steve Allen <[email-masked]>
Date: Wed, 20 Nov 2019 19:38:40 -0800

On Wed 2019-11-20T18:04:06-0800 Joe Touch hath writ:
> I appreciate the more detailed information. For this doc, do you think this
> reference should be added as additional info? Does it affect anything else?
>

Only the reference to the letter from the CIPM which serves to
demonstrate that even folks at the SI recognize that there is more
than one kind of second, just not in the SI.

For astronomers this was never a question, there were always mean
solar and sidereal seconds, and those have not gone away as the
other kinds arrived.

---

From: Joe Touch <[email-masked]>
Date: Wed, 20 Nov 2019 21:09:38 -0800

> On Nov 20, 2019, at 7:38 PM, Steve Allen <[email-masked]> wrote:
> 

The draft is all about the fact that there are multiple time scales and already explains that there are multiple definitions of a second.

> solar and sidereal seconds, and those have not gone away as the

Nobody is claiming they have disappeared, including this doc. If anything, that’s partly the point - basically “when deciding to create a time scale, first - don’t. Use one that already exists”.

Again, what is relevant to *this* doc that you can suggest to add?

Joe

---

From: Steve Allen <[email-masked]>
Date: Thu, 21 Nov 2019 09:27:56 -0800

On Wed 2019-11-20T21:09:38-0800 Joe Touch hath writ:
> Nobody is claiming they have disappeared, including this doc.  If
> anything, that’s partly the point - basically “when deciding to create
> a time scale, first - don’t.  Use one that already exists”.

The reference C61 is from the BIPM itself, and they have included a
forward reference indicating that the decision in reference C61 is
abrogated.  So as written in this document the reference C61 nullifies
itself.

A reference to the proceedings of the 56th meeting of the CIPM in 1967
https://www.bipm.org/utils/common/pdf/CIPM-PV-OCR/CIPM1967.pdf
Annex 1 on page 139 (the letter from the CIPM to the IAU) clarifies
that the second is unusual in the context of the SI because, unlike
the other units, the second was adopted from outside the SI, and that
actions within the SI do not abrogate external definitions and usage.